using System;
using System.Windows.Input;

namespace Replikanto
{
	public static class ReplikantoCommands
	{
		internal static void smethod_0()
		{
		}

		internal static void smethod_1()
		{
		}

		internal static object smethod_2(int int_0)
		{
			return Class10.smethod_17(int_0);
		}

		public static readonly ICommand SlaveAccountCheckedLeftClick = new RoutedCommand("SlaveAccountCheckedLeftClick", Delegate45.smethod_0(typeof(ReplikantoCommands).TypeHandle, Delegate45.delegate45_0));

		public static readonly ICommand SlaveAccountCrossOrderLeftClick = new RoutedCommand("SlaveAccountCrossOrderLeftClick", Delegate45.smethod_0(typeof(ReplikantoCommands).TypeHandle, Delegate45.delegate45_0));

		public static readonly ICommand NetworkFollowerCheckedLeftClick = new RoutedCommand("NetworkFollowerCheckedLeftClick", Delegate45.smethod_0(typeof(ReplikantoCommands).TypeHandle, Delegate45.delegate45_0));

		public static readonly ICommand SlaveAccountUseATMLeftClick = new RoutedCommand("SlaveAccountUseATMLeftClick", Delegate45.smethod_0(typeof(ReplikantoCommands).TypeHandle, Delegate45.delegate45_0));

		public static readonly ICommand SlaveAccountMarketOnlyLeftClick = new RoutedCommand("SlaveAccountMarketOnlyLeftClick", Delegate45.smethod_0(typeof(ReplikantoCommands).TypeHandle, Delegate45.delegate45_0));

		public static readonly ICommand RemoteFollowerCheckedLeftClick = new RoutedCommand("RemoteFollowerCheckedLeftClick", Delegate45.smethod_0(typeof(ReplikantoCommands).TypeHandle, Delegate45.delegate45_0));

		public static readonly ICommand FlatAccountLeftClick = new RoutedCommand("FlatAccountLeftClick", Delegate45.smethod_0(typeof(ReplikantoCommands).TypeHandle, Delegate45.delegate45_0));
	}
}
